Permalink
Switch branches/tags
Nothing to show
Find file
Fetching contributors…
Cannot retrieve contributors at this time
56 lines (35 sloc) 1.48 KB
What is it?
===========
This is libxfce4ui, the replacement of the old libxfcegui4 library. It is used
to share commonly used Xfce widgets amoung the Xfce applications.
Required packages
=================
Libxfce4ui depends on the following packages:
- GTK+ 2.10.0 or above
- GLib 2.12.0 or above
- Libxfce4util 4.4.0 or above
Installation
============
The file 'INSTALL' contains generic installation instructions.
Debugging Support
=================
Libxfce4ui currently supports four different levels of debugging support, which
can be setup using the configure flag `--enable-debug' (check the output of
`configure --help'):
`full' Use this if you want to debug libxfce4ui to locate a bug. The
build will most probably be noticably slower. This is also
recommended for people that want to develop Xfce applications.
`yes' This is the default for SVN snapshot builds. It adds all
kinds of checks to the code, and is therefore likely to run
slower. Use this if you want to develop for Xfce.
`minimum' This is the default for release builds, and presents the
recommended behaviour.
`no' Disables all sanity checks. Don't use this unless you know
exactly what you do.
How to report bugs?
===================
Bugs should be reported to the Xfce bug tracking system
(http://bugzilla.xfce.org, product Libxfce4ui). You will need to
create an account for yourself.
Please read the HACKING file for information on where to send
changes or bugfixes for this package.